Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 157255 - Eclipse startup fails with missing bundle errors
Summary: Eclipse startup fails with missing bundle errors
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: eclipse
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: eclipse-bugs
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-09 20:52 UTC by Ziga Mahkovec
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-11 09:04:03 UTC


Attachments (Terms of Use)
Debug logs for the startup (deleted)
2005-05-09 20:52 UTC, Ziga Mahkovec
no flags Details

Description Ziga Mahkovec 2005-05-09 20:52:32 UTC
Description of problem:
Eclipse startup fails with an error popup.  The log file shows lots of missing
bundle messages, such as:
  
  Missing required bundle org.eclipse.ui_[0.0.0,null.

and the following error:

  java.lang.RuntimeException: Application "org.eclipse.ui.ide.workbench"
  could not be found in the registry...

The complete log file is attached.

Version-Release number of selected component (if applicable):
eclipse-jdt-3.1.0_fc-0.M6.15
libgcj-4.0.0-2

How reproducible:
always

Steps to Reproduce:
1. rm -rf ~/.eclipse ~/workspace
2. eclipse -debug -consolelog &> eclipse.log

Actual results:
An error popup is shown, pointing to a log file.

Expected results:
Eclipse should start up.

Additional info:
Also reproducible with java-sun.

Comment 1 Ziga Mahkovec 2005-05-09 20:52:32 UTC
Created attachment 114182 [details]
Debug logs for the startup

Comment 2 Ben Konrath 2005-05-11 00:03:13 UTC
Ziga, I've seen this problem before but I can't remember what causes it. Can you
send me the output of: 'ls -l /usr/share/eclipse/configuration'? That directory
should only have config.ini. If it has other stuff, it's safe to delete
everything but config.ini.

Comment 3 Ziga Mahkovec 2005-05-11 09:04:03 UTC
config.ini was the only file in /usr/share/eclipse/configuration.

However, I reinstalled all eclipse packages from scratch and it works fine now
(I had tried this before, but I left out libswt3-gtk2).  I must have messed up
my installation somehow, sorry for the confusion.


Note You need to log in before you can comment on or make changes to this bug.